using System;
using NinjaTrader.Cbi;

internal sealed class Delegate184 : MulticastDelegate
{
	public extern OrderState Invoke(object object_0);

	public static OrderState smethod_0(object object_0, Delegate184 delegate184_1)
	{
		return delegate184_1(object_0);
	}

	public extern Delegate184(object object_0, IntPtr intptr_0);

	static Delegate184()
	{
		Class10.smethod_13(typeof(Delegate184).TypeHandle);
	}

	internal static Delegate184 delegate184_0;
}
